body, html {
	padding: 0;
	margin: 0;
}

body {
	font-family: "Open Sans", sans-serif
}

header {
	font-family: "Bebas Neue";
	padding: 20px;
	background: #ececec;
	box-shadow: 0 24px 38px 3px rgba(0,0,0,.14);
	text-align: center
}

header h1 {
	font-size: 50px;
}

main {
	max-width: 1200px;
	margin-left: auto;
	margin-right: auto
}

.questions {
	text-align: center;
}

/* --- Section borrowed from candidate listing --- */

.person {
	margin-top: 30px;
	display: grid;
	grid-template-columns: 200px 1fr;
	grid-template-rows: 1fr;
	gap: 0px 20px;
	grid-template-areas:
		"person-image person-description";
	margin-bottom: 10px;
	padding-bottom: 10px;
	border-bottom: 1px solid #aaa
}

.person-image {
	grid-area: person-image;
}

.person-image img {
	max-width: 200px;
	max-height: 200px;
	border-radius: 6px;
}

.person-description {
	grid-area: person-description
}

.person h2 {
	margin-top: 0;
	margin-bottom: 10px
}

.person-agreement-percentage {
	background: #c8c8c8;
	width: 100%;
	height: 30px;
	border-radius: 6px;
}

/*
 * https://css-tricks.com/mixing-colors-in-pure-css/
 * Thanks to Carter Li!
 */
.person-agreement-percentage-bar {
	animation: kf-color-mix 1s linear forwards paused;
	background: currentColor;
	height: 30px;
	text-align: right;
	color: #020000;
	border-radius: 6px;
}

.person-agreement-percentage-number {
	background: unset;
	color: #fff;
	line-height: 30px;
	padding-right: 7px;
	padding-left: 7px;
	white-space: nowrap;
	text-shadow: 0 0 5px #0000009e;
}

@keyframes kf-color-mix {
	0% { color: red }
	100% { color: green }
}

.back-to-main, .back-to-main:visited {
	margin-top: 20px;
	color: #000;
	height: 25px;
	display: inline-flex;
	gap: 5px;
}

/* --- Section borrowed from index --- */

.question-answers {
	display: flex;
	align-items: center;
	justify-content: center;
	margin-top: 38px;
	margin-bottom: 60px;
	user-select: none
}

.question-answer label {
	display: inline-block;
	border-radius: 50%;
	width: 40px;
	height: 40px;
}


.question-answer-pos-full label, .question-answer-pos-half label {
	border: 3px solid #449f23
}

.question-answer-pos-full input[type=checkbox]:checked + label,
.question-answer-pos-half input[type=checkbox]:checked + label {
	background-color: #449f23
}

.question-answer-pos-full label {
	width: 60px;
	height: 60px;
	background-image: url("../images/check-green.svg");
	background-repeat: no-repeat;
	background-position: center;
	background-size: 44%
}

.question-answer-pos-full input[type=checkbox]:checked + label {
	background-image: url("../images/check-white.svg")
}


.question-answer-neut label {
	border: 3px solid #939393
}

.question-answer-neut input[type=checkbox]:checked + label {
	background: #939393
}


.question-answer-neg-full label, .question-answer-neg-half label {
	border: 3px solid #9f2323
}

.question-answer-neg-full input[type=checkbox]:checked + label,
.question-answer-neg-half input[type=checkbox]:checked + label {
	background-color: #9f2323
}

.question-answer-neg-full label {
	width: 60px;
	height: 60px;
	background-image: url("../images/cross-red.svg");
	background-repeat: no-repeat;
	background-position: center;
	background-size: 44%
}

.question-answer-neg-full input[type=checkbox]:checked + label {
	background-image: url("../images/cross-white.svg")
}

.question-answer input[type=checkbox] {
	visibility: hidden
}
